PrettyPrintXMLStreamWriter (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.xml
[Java] Class PrettyPrintXMLStreamWriter

    java.lang.Object
      org.codehaus.groovy.grails.web.xml.XMLStreamWriter
          org.codehaus.groovy.grails.web.xml.PrettyPrintXMLStreamWriter

    public class PrettyPrintXMLStreamWriter
    extends XMLStreamWriter

A XMLStreamWriter dedicated to create indented/pretty printed output.

Authors:
  Siegfried Puchbauer

Since:
  1.1

Field Summary
`static java.lang.String` | `DEFAULT_INDENT_STR`
`static java.lang.String` | `NEWLINE`

Fields inherited from class XMLStreamWriter
mode, tagStack, writer

Constructor Summary
`PrettyPrintXMLStreamWriter(StreamingMarkupWriter writer)`
`PrettyPrintXMLStreamWriter(StreamingMarkupWriter writer, java.lang.String indent)`

Method Summary
`XMLStreamWriter` | `characters(java.lang.String data)`
`XMLStreamWriter` | `end()`
`protected void` | `endStartTag()`
`XMLStreamWriter` | `startDocument(java.lang.String encoding, java.lang.String version)`
`XMLStreamWriter` | `startNode(java.lang.String tag)`
`protected void` | `startTag()`

Methods inherited from class XMLStreamWriter
attribute, characters, end, endStartTag, startDocument, startNode, startTag

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### DEFAULT_INDENT_STR

    public static final java.lang.String DEFAULT_INDENT_STR

### NEWLINE

    public static final java.lang.String NEWLINE

Constructor Detail

### PrettyPrintXMLStreamWriter

    public PrettyPrintXMLStreamWriter(StreamingMarkupWriter writer)

### PrettyPrintXMLStreamWriter

    public PrettyPrintXMLStreamWriter(StreamingMarkupWriter writer, java.lang.String indent)

Method Detail

### characters

    @java.lang.Overridepublic XMLStreamWriter characters(String data) throws IOException {
    public XMLStreamWriter characters(java.lang.String data)

### end

    @java.lang.Override
    public XMLStreamWriter end()

### endStartTag

    @java.lang.Override
    protected void endStartTag()

### startDocument

    @java.lang.Overridepublic XMLStreamWriter startDocument(String encoding, String version) throws IOException {
    public XMLStreamWriter startDocument(java.lang.String encoding, java.lang.String version)

### startNode

    @java.lang.Override
    public XMLStreamWriter startNode(java.lang.String tag)

### startTag

    @java.lang.Override
    protected void startTag()

Groovy Documentation